# Properties

Properties in Prism — Micro Go reference.

Reference for Go SDK **0.8.0**.

[Release source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/api.md) · [Setup and client configuration](/docs/reference/go)

## List

`GET /v2/prism/{teamId}/{objectType}/properties`

````text
client.Prism.Properties.List(ctx context.Context, objectType micro.PrismPropertyListParamsObjectType, params micro.PrismPropertyListParams) (*micro.PrismPropertyListResponse, error)
````

Get metadata properties by object type

## ListAll

`GET /v2/prism/{teamId}/properties`

````text
client.Prism.Properties.ListAll(ctx context.Context, params micro.PrismPropertyListAllParams) (*micro.PrismPropertyListAllResponse, error)
````

Get metadata properties

## Parameter and response types

These declarations show the request parameters and response shapes used by the methods above.

### PrismPropertyListResponse

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismproperty.go)

````text
type PrismPropertyListResponse map[string]interface{}
````


### PrismPropertyListAllResponse

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismproperty.go)

````text
type PrismPropertyListAllResponse map[string]interface{}
````


### PrismPropertyListParamsObjectType

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismproperty.go)

````text
type PrismPropertyListParamsObjectType string
````


### PrismPropertyListParams

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismproperty.go)

````text
type PrismPropertyListParams struct {
	// Use [option.WithTeamID] on the client to set a global default for this field.
	TeamID   param.Field[string] `path:"teamId" api:"required" format:"uuid"`
	Autofill param.Field[bool]   `query:"autofill"`
	// Scope properties to a specific list/app.
	ListID param.Field[string] `query:"list_id" format:"uuid"`
	Term   param.Field[string] `query:"term"`
}
````


### PrismPropertyListAllParams

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismproperty.go)

````text
type PrismPropertyListAllParams struct {
	// Use [option.WithTeamID] on the client to set a global default for this field.
	TeamID   param.Field[string] `path:"teamId" api:"required" format:"uuid"`
	Autofill param.Field[bool]   `query:"autofill"`
	// Scope properties to a specific list/app.
	ListID param.Field[string] `query:"list_id" format:"uuid"`
	Term   param.Field[string] `query:"term"`
}
````
